#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

#
# Check_MK cisco_bgp_peers WATO plugin
#
# Author: Th.L.
# Date: 2017-12-25
#
#
#
#
register_check_parameters(
    subgroup_networking,
    'cisco_bgp_peer',
    _('Cisco BGP peer'),
    Dictionary(
        help=_(''),
        elements=[
            ('minuptime',
             Integer(
                 help=_('Set the time in seconds, a peer must be up before the peer is considered sable.'
                        'If the peer uptime less then X, the check outcome is set to warning.'),
                 title=_('Minimum uptime for peer. If uptime less, set check outcome to warning. Default is 1 day.'),
                 default_value=86400,
                 allow_empty=False,
                 unit='seconds',
                 minvalue=1,
             ),
             ),
            ('useaslocalas',
             Integer(
                 help=_('Use this AS number if the SNMP Value for CISCO-BGP4-MIB::cbgpPeer2LocalAs is \'0\'.'),
                 title=_('Use AS as local AS, if SNMP cbgpPeer2LocalAs is not valid.'),
                 default_value=0,
                 allow_empty=False,
             ),
             ),
            ('htmloutput',
             FixedValue(
                 True,
                 help=_('render long output of check plugin (multiline) as HTML table. Needs \'Escape HTML codes in plugin output\' in wato --> global settings disabled'),
                 title=_('enable HTML Output for long output of check plugin (multiline)'),
                 #label=_('enable'),
             )),
        ],
    ),
    TextAscii(title=_('Cisco BGP peer')),
    match_type='dict',
)
